var spider = require('sougou-spider');
// var atob = require('atob');

// console.log(atob);
var test = new spider(function(str){
    // return atob(str);
    return str;
}, {
    onTaskComplete: function(){

    },
    onTaskFailure: function(){

    },
    onDone: function(){
        // test.start(makeMore(10));
    },
    onSouGouVerify: function(url){
        // console.log(url);
    }
});
// test.start([{
//     name: '极客',
//     uin: '3089035508'
// }]);
test.noSleep = true;

var task = [{
    name: '小道消息',
    wx_alias: 'WebNotes'
},{
    name: '四川小道消息',
    wx_alias: 'gh_321046139cc6'
}];

function makeMore(l) {
    while (l>0) {
        l--;
        task = task.concat(task);
    }
    return task;
}

test.start(makeMore(10));

// test.sendWXVerifycode('mnym', '1481777151221.0505');
//
// test.sendSGVerifycode('x32518', '1481792562');
